Package org.eclipse.mat.ui.internal.diagnostics

# Interface DiagnosticsProgress

All Known Implementing Classes:
  `DiagnosticsExecutionWizardPage`

public interface DiagnosticsProgress
Mechanism to report diagnostics progress

## Method Summary

Modifier and Type
Method
Description
`void`
`appendText(String text)`
Report textual progress and results to the user.
`void`
`clearText()`
Clear any existing textual progress for the user.
`void`
`handleException(Throwable t)`
Report an exception to the user.

## Method Details

### appendText

void appendText(String text)
Report textual progress and results to the user.

Parameters:
  `text` - The text to report

### clearText

void clearText()
Clear any existing textual progress for the user.

### handleException

void handleException(Throwable t)
Report an exception to the user.

Parameters:
  `t` - The exception